> # NAME

> cgGetParameterResourceIndex - get a program parameter's resource index

> # SYNOPSIS

>       #include <Cg/cg.h>

>       unsigned long cgGetParameterResourceIndex( CGparameter param );

> # PARAMETERS

> param

>   The program parameter.

> # RETURN VALUES

> Returns the resource index of param.

> # DESCRIPTION

> cgGetParameterResourceIndex allows the application to retrieve the resource index for a parameter in a Cg program. This index value is only used with resources that are linearly addressable.

> # EXAMPLES

>       /* log info about parameter param for debugging */

>       printf("Resource: %s:%d (base %s)\n",
>         cgGetResourceString(cgGetParameterResource(param)),
>         cgGetParameterResourceIndex(param),
>         cgGetResourceString(cgGetParameterBaseResource(param)));

> # ERRORS

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if param is not a leaf node.

> # HISTORY

> cgGetParameterResourceIndex was introduced in Cg 1.1.

> # SEE ALSO

> cgGetParameterResource, cgGetResource, cgGetResourceString